# dwritetimeoverlay

Overlays buffer time stamps on a video stream

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstDWriteBaseOverlay
                            ╰──dwritetimeoverlay

## Factory details

Authors: – Seungha Yang <seungha@centricular.com></seungha@centricular.com>

Classification: – `Filter/Editor/Video`

Rank – none

Plugin – dwrite

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw(ANY):

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(ANY):

Presence – always

Direction – src

Object type – GstPad

## Properties

### datetime-epoch

    “datetime-epoch” GDateTime *

When showing times as dates, the initial date from which time is counted, if not specified prime epoch is used (1900-01-01)

Flags : Read / Write

### datetime-format

    “datetime-format” gchararray

When showing times as dates, the format to render date and time in

Flags : Read / Write

Default value : %%F %%T

### reference-timestamp-caps

    “reference-timestamp-caps” GstCaps *

Caps to use for the reference timestamp time mode

Flags : Read / Write

Default value :

    timestamp/x-ntp

### show-times-as-dates

    “show-times-as-dates” gboolean

Whether to display times, counted from datetime-epoch, as dates

Flags : Read / Write

Default value : false

### time-mode

    “time-mode” Dwrite-time-overlay-time-line *

What time to show

Flags : Read / Write

Default value : buffer-time (0)

## Named constants

### Dwrite-time-overlay-time-line

#### Members

`buffer-time` (0) – buffer-time
`stream-time` (1) – stream-time
`running-time` (2) – running-time
`time-code` (3) – time-code
`elapsed-running-time` (4) – elapsed-running-time
`reference-timestamp` (5) – reference-timestamp
`buffer-count` (6) – buffer-count
`buffer-offset` (7) – buffer-offset

The results of the search are